iir1

Public Member Functions | List of all members
Iir::Butterworth::HighShelf< FilterOrder, StateType > Struct Template Reference

`#include <Butterworth.h>`

Inheritance diagram for Iir::Butterworth::HighShelf< FilterOrder, StateType >:

## Public Member Functions
void | setup (double sampleRate, double cutoffFrequency, double gainDb)
void | setup (int reqOrder, double sampleRate, double cutoffFrequency, double gainDb)
void | setupN (double cutoffFrequency, double gainDb)
void | setupN (int reqOrder, double cutoffFrequency, double gainDb)
Public Member Functions inherited from Iir::CascadeStages< MaxStages, StateType >
void | reset ()
void | setup (const double(&sosCoefficients)[MaxStages][6])
template<typename Sample >
Sample | filter (const Sample in)
const Cascade::Storage | getCascadeStorage ()

## Detailed Description

### template<int FilterOrder = 4, class StateType = DirectFormII>
struct Iir::Butterworth::HighShelf< FilterOrder, StateType >

Butterworth high shelf filter. Above the cutoff the filter has a specified gain and below it has 0 dB.

Parameters

  FilterOrder | Reserves memory for a filter of the order FilterOrder
  StateType | The filter topology: DirectFormI, DirectFormII, ...

## Member Function Documentation

## ◆ setup() [1/2]

template<int FilterOrder = 4, class StateType = DirectFormII>

void Iir::Butterworth::HighShelf< FilterOrder, StateType >::setup | ( | double | sampleRate,
|  | double | cutoffFrequency,
|  | double | gainDb
| ) |  |
| inline

Calculates the coefficients with the filter order provided by the instantiation

Parameters

  sampleRate | Sampling rate
  cutoffFrequency | Cutoff
  gainDb | Gain in dB of the filter in the passband

## ◆ setup() [2/2]

template<int FilterOrder = 4, class StateType = DirectFormII>

void Iir::Butterworth::HighShelf< FilterOrder, StateType >::setup | ( | int | reqOrder,
|  | double | sampleRate,
|  | double | cutoffFrequency,
|  | double | gainDb
| ) |  |
| inline

Calculates the coefficients

Parameters

  reqOrder | The actual order which can be less than the instantiated one
  sampleRate | Sampling rate
  cutoffFrequency | Cutoff
  gainDb | Gain in dB of the filter in the passband

## ◆ setupN() [1/2]

template<int FilterOrder = 4, class StateType = DirectFormII>

void Iir::Butterworth::HighShelf< FilterOrder, StateType >::setupN | ( | double | cutoffFrequency,
|  | double | gainDb
| ) |  |
| inline

Calculates the coefficients with the filter order provided by the instantiation

Parameters

  cutoffFrequency | Normalised cutoff frequency (0..1/2)
  gainDb | Gain in dB of the filter in the passband

## ◆ setupN() [2/2]

template<int FilterOrder = 4, class StateType = DirectFormII>

void Iir::Butterworth::HighShelf< FilterOrder, StateType >::setupN | ( | int | reqOrder,
|  | double | cutoffFrequency,
|  | double | gainDb
| ) |  |
| inline

Calculates the coefficients

Parameters

  reqOrder | The actual order which can be less than the instantiated one
  cutoffFrequency | Normalised cutoff frequency (0..1/2)
  gainDb | Gain in dB of the filter in the passband

The documentation for this struct was generated from the following file:

- iir/Butterworth.h